#ifndef RECOGNIZE_QUADRATIC_H_
#define RECOGNIZE_QUADRATIC_H_

/* recognize_quadratic.h -- headers for recognize_quadratic.c
 *
 * Copyright (C) 2010, 2011, 2012 INRIA
 *
 * This file is part of CMH.
 *
 * CMH is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 3 of the License, or (at your
 * option) any later version.
 *
 * CMH is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/ .
 */

#include <gmp.h>
#include <mpfr.h>

#ifdef __cplusplus
extern "C" {
#endif

int recognize_quadratic(mpz_ptr a, mpz_ptr b, mpz_ptr c, mpfr_srcptr x, mpz_srcptr disc);

#ifdef __cplusplus
}
#endif

#endif	/* RECOGNIZE_QUADRATIC_H_ */
